package mod.extensions

import com.chopeks.glife.*
import com.chopeks.qsp.gt

val modExt = ModExtensions()

class ModExtensions

// NOTE: unfortunately i have little problem with recognizing different parameters with same function name...
// so no duplicates on names allowed

fun ModExtensions.isLoc(__location: Location): Boolean {
  return (`$loc` == __location && `$menu_loc` == __location)
}

fun ModExtensions.defineLocation(__location: Location, __subLocation: Location, __type: GLifeLocationType) {
  `$loc` = __location
  `$menu_loc` = __location
  `$metka` = __subLocation
  `$menu_arg` = __subLocation
  `$location_type` = __type
  menu_off = 1
}

fun ModExtensions.link(__location: Location, __name: String) {
  "<a href=\"exec:" + gt(__location) + "\">__name</a>"
}