@file:Suppress("UNUSED_EXPRESSION", "CascadeIf", "LiftReturnOrAssignment", "ConvertTwoComparisonsToRangeCheck", "RemoveCurlyBracesFromTemplate", "RemoveSingleExpressionStringTemplate")

import com.chopeks.glife.*
import com.chopeks.glife.extensions.*
import com.chopeks.qsp.*
import mod.*

if (`$args`[0] == ModLoc.chores.end) {
  mod_chastity_busy = 0
  pcs_sweat += rand(5, 15)
  gt(`$loc`, `$metka`)
}

if (`$args`[0] == ModLoc.chores.list) {
  if (mod_chastity_duties_done[0] == 0) {
    "<b>- do laundry</b>"
  } else {
    "<font color=\"gray\">- do laundry</font>"
  }
  if (mod_chastity_duties_done[1] == 0) {
    "<b>- clean office</b>"
  } else {
    "<font color=\"gray\">- clean office</font>"
  }
  if (mod_chastity_duties_done[2] == 0) {
    "<b>- clean bathroom</b>"
  } else {
    "<font color=\"gray\">- clean bathroom</font>"
  }
  if (mod_chastity_duties_done[3] == 0) {
    "<b>- clean bathroom upstairs</b>"
  } else {
    "<font color=\"gray\">- clean bathroom upstairs</font>"
  }
  if (mod_chastity_duties_done[4] == 0) {
    "<b>- cook dinner on Saturday</b>"
  } else {
    "<font color=\"gray\">- cook dinner on Saturday</b></font>"
  }
  if (mod_chastity_duties_done[5] == 0) {
    "<b>- cook dinner on Sunday</b>"
  } else {
    "<font color=\"gray\">- cook dinner on Sunday</b></font>"
  }
  if (mod_chastity_duties_done[6] == 0) {
    "<b>- do dishes</b>"
  } else {
    "<font color=\"gray\">- do dishes</b></font>"
  }
}

if (`$args`[0] == ModLoc.chores.office) {
  if (mod_chastity_duties_done[1] == 0) {
    "There's a lot of dust on the desk. You should clean it up."
    act("Clean up the desk") {
      mod_chastity_busy = 1
      mod_chastity_duties_done[1] = 1
      ext.clearMainWindow()
      ext.image("mod/chastity/villa/office.jpg")
      mod_chastity_temp = rand(15, 35)
      ext.addTime(mod_chastity_temp)
      gs(GLLoc.stat)
      "You wipe the dust, put pencils back into the cup."
      if (mod_chastity_villa_album_discovered == 0) {
        ext.image("mod/chastity/villa/office_album.jpg")
        "You open the drawer wanting to put notepad into it. You see an old looking book, that looks like a photo album."
        "You can <a href=\"exec: minut += 5 & gt 'mod_chastity_villa_story', 'album_first'\">take a look</a> if you want."
        mod_chastity_villa_album_discovered = 1
      }
      act("Finish cleaning up.") {
        gs(ModLoc.chores.end)
      }
    }
  }
}

if (`$args`[0] == ModLoc.chores.laundry) {
  if (mod_chastity_duties_done[0] == 0) {
    ext.clearMainWindow()
    ext.image("mod/chastity/villa/laundry_dirty.jpg")
    "You can see pile of dirty clothes lying around."
    act("Do laundry quickly (0:45)") {
      mod_chastity_busy = 1
      ext.addTime(45)
      gs(GLLoc.stat)
      ext.image("mod/chastity/villa/laundry_process.jpg")
      "You do the laundry."
      nl()
      if (rand(1, 3) == 1) {
        "But in a hurry you destroy one of Sirs shirt."
        act("Oops...") {
          gt(ModLoc.chores.laundry_fail)
        }
      } else {
        mod_chastity_duties_done[0] = 1
        act("Finish") {
          gs(ModLoc.chores.end)
        }
      }
    }
    act("Do laundry (1:30)") {
      mod_chastity_busy = 1
      ext.addTime(90)
      gs(GLLoc.stat)
      ext.image("mod/chastity/villa/laundry_process.jpg")
      "You do the laundry."
      if (rand(1, 9) == 1) {
        "But accidentally you destroy one of Sirs shirt."
        act("Oops...") {
          gt(ModLoc.chores.laundry_fail)
        }
      } else {
        mod_chastity_duties_done[0] = 1
        act("Finish") {
          gs(ModLoc.chores.end)
        }
      }
    }
  }
}

if (`$args`[0] == ModLoc.chores.laundry_fail) {
  mod_chastity_villa_failed_tasks += 1
  mod_chastity_duties_done[0] = 1
  ext.image("mod/chastity/villa/laundry.jpg")
  "You're looking at Sir's favorite shirt, but it lost its colour. You feel a hand on your arm and see Alexander. \"${`$pcs_nickname`}, you destroyed my favorite shirt, you'll pay for it.\" You feel being dragged out of the room."
  ext.addPain(1, GLBodyPart.armL, GLPainType.pull)
  gs(GLLoc.stat)
  cla()
  act("Follow him") { ext.addTime(1); gt(ModLoc.villa_punishments.punishment) }
  act("Try to break free") {
    ext.addTime(1);
    ext.addPain(1, GLBodyPart.armL, GLPainType.twist)
    "You're not able to break free, your arm hurts even more."
    act("Continue") {
      gt(ModLoc.villa_punishments.punishment)
    }
  }
}

if (`$args`[0] == ModLoc.chores.kitchen) {
  if (mod_chastity_duties_done[6] == 0) {
    ext.clearMainWindow()
    ext.image("mod/chastity/villa/kitchen_dirty.jpg")
    act("Clean the dishes quickly") {
      mod_chastity_duties_done[6] = 1
      mod_chastity_busy = 1
      ext.clearMainWindow()
      ext.image("mod/chastity/villa/kitchen_dishes.jpg")
      mod_chastity_temp = rand(15, 30)
      ext.addTime(mod_chastity_temp)
      gs(GLLoc.stat)
      if (rand(1, 3) == 1) {
        gt(ModLoc.chores.kitchen_fail)
      } else {
        "You cleaned the dishes."
        act("Put them on the shelf") {
          gs(ModLoc.chores.end)
        }
      }
    }
    act("Clean the dishes") {
      mod_chastity_duties_done[6] = 1
      mod_chastity_busy = 1
      ext.clearMainWindow()
      ext.image("mod/chastity/villa/kitchen_dishes.jpg")
      mod_chastity_temp = rand(30, 50)
      ext.addTime(mod_chastity_temp)
      gs(GLLoc.stat)
      if (rand(1, 9) == 1) {
        gt(ModLoc.chores.kitchen_fail)
      } else {
        "You cleaned the dishes."
        act("Put them on the shelf") {
          gs(ModLoc.chores.end)
        }
      }
    }
  }

  // saturday meal
  if (week == 6 && hour < 12 && mod_chastity_duties_done[4] == 0) {
    act("Cook meals (1:00)") {
      mod_chastity_duties_done[4] = 1
      mod_chastity_busy = 1
      ext.clearMainWindow()
      ext.video("mod/chastity/villa/kitchen_cooking.mp4")
      ext.addTime(60)
      gs(GLLoc.stat)
      "You cook the usual rare steaks."
      if (rand(1, 9) == 1) {
        "But accidentally burned them."
        act("Put them on the table anyway") {
          gt(ModLoc.chores.kitchen_cook_fail)
        }
      } else {
        act("Put them on the table") {
          gs(ModLoc.chores.end)
        }
      }
    }
  }
  // sunday meal
  if (week == 7 && hour < 12 && mod_chastity_duties_done[5] == 0) {
    act("Cook meals (1:00)") {
      mod_chastity_duties_done[5] = 1
      mod_chastity_busy = 1
      ext.clearMainWindow()
      ext.video("mod/chastity/villa/kitchen_cooking.mp4")
      ext.addTime(60)
      gs(GLLoc.stat)
      "You cook the usual golubtsy."
      if (rand(1, 9) == 1) {
        "But accidentally burned them."
        act("Put them on the table anyway") {
          gt(ModLoc.chores.kitchen_cook_fail)
        }
      } else {
        act("Put them on the table") {
          gs(ModLoc.chores.end)
        }
      }
    }
  }
}

if (`$args`[0] == ModLoc.chores.kitchen_fail) {
  mod_chastity_duties_done[6] = 1
  mod_chastity_villa_failed_tasks += 1
  cla()
  ext.image("mod/chastity/villa/kitchen.jpg")
  if (rand(1, 2) == 1) {
    "You broke a plate."
  } else if (rand(1, 2) == 1) {
    "You broke a cup."
  } else {
    "You dropped pan."
  }
  "It did quite loud noise, as you try to clean it up, you hear from the hall \"What the fuck was that?\""
  "Alexander shows at the door, pissed off. \"Damn you ${`$pcs_nickname`}, time to pay up.\" he grabs you by the arm and pulls you hard."
  act("Follow him") { ext.addTime(1); gt(ModLoc.villa_punishments.punishment) }
  act("Try to break free") {
    cla()
    ext.addTime(1)
    ext.addPain(1, GLBodyPart.armL, GLPainType.twist)
    "You're not able to break free, your arm hurts even more."
    act("Continue") {
      gt(ModLoc.villa_punishments.punishment)
    }
  }
}


if (`$args`[0] == ModLoc.chores.kitchen_cook_fail) {
  mod_chastity_villa_failed_tasks += 1
  ext.clearMainWindow()
  ext.image("mod/chastity/villa/kitchen.jpg")
  "Alexander shows at the door, looks at you. \"Damn ${`$pcs_nickname`}, I thought you started fire, but it looks like we'll be starving today. You never learn isn't it?\" he grabs you by the arm and pulls you hard."
  act("Follow him") { ext.addTime(1); gt(ModLoc.villa_punishments.punishment) }
  act("Try to break free") {
    cla()
    ext.addTime(1)
    ext.addPain(1, GLBodyPart.armL, GLPainType.twist)
    "You're not able to break free, your arm hurts even more."
    act("Continue") {
      gt(ModLoc.villa_punishments.punishment)
    }
  }
}

if (`$args`[0] == ModLoc.chores.bathroom) {
  if (mod_chastity_duties_done[2] == 0) {
    nl()
    "Bathroom looks dirty."
    act("Clean bathroom quickly") {
      mod_chastity_busy = 1
      ext.clearMainWindow()
      ext.image("mod/chastity/villa/bathroom_process.jpg")
      mod_chastity_duties_done[2] = 1
      mod_chastity_temp = rand(10, 30)
      ext.addTime(mod_chastity_temp)
      gs(GLLoc.stat)
      if (rand(1, 3) == 1) {
        act("Finish") {
          gt(ModLoc.chores.bathroom_fail)
        }
      } else {
        "You cleaned bathroom."
        act("Finish") {
          gs(ModLoc.chores.end)
        }
      }
    }
    act("Clean bathroom") {
      mod_chastity_busy = 1
      ext.clearMainWindow()
      ext.image("mod/chastity/villa/bathroom_process.jpg")
      mod_chastity_duties_done[2] = 1
      mod_chastity_temp = rand(20, 60)
      ext.addTime(mod_chastity_temp)
      gs(GLLoc.stat)
      if (rand(1, 9) == 1) {
        act("Finish") {
          gt(ModLoc.chores.bathroom_fail)
        }
      } else {
        "You cleaned bathroom."
        act("Finish") {
          gs(ModLoc.chores.end)
        }
      }
    }
  }
}

if (`$args`[0] == ModLoc.chores.bathroom_fail) {
  mod_chastity_villa_failed_tasks += 1
  ext.clearMainWindow()
  ext.image("mod/chastity/villa/bathroom.jpg")
  cla()
  "You finish your job here. Leaving you see Alexander rushing into the bathroom."
  "After a minute, he gets out, but looks pissed off."
  "\"${`$pcs_nickname`} are you sure you cleaned this room properly?\" he leads you inside."
  "\"Here's dust on be lamp.\", next he points on the shower. \"And here are stains.\""
  "\"If you want to work like that, quit. But now, here's coming your reward.\" He grabs you and pulls to the basement."
  act("Follow him") { ext.addTime(1); gt(ModLoc.villa_punishments.punishment) }
  act("Try to break free") {
    cla()
    ext.addTime(1);
    ext.addPain(1, GLBodyPart.armL, GLPainType.twist)
    "You're not able to break free, your arm hurts even more."
    act("Continue") {
      gt(ModLoc.villa_punishments.punishment)
    }
  }
}

if (`$args`[0] == ModLoc.chores.bathroom2) {
  if (mod_chastity_duties_done[3] == 0) {
    nl()
    "Bathroom looks dirty."
    act("Clean bathroom quickly") {
      mod_chastity_busy = 1
      ext.clearMainWindow()
      ext.image("mod/chastity/villa/bathroom_process.jpg")
      mod_chastity_duties_done[3] = 1
      mod_chastity_temp = rand(20, 40)
      ext.addTime(mod_chastity_temp)
      gs(GLLoc.stat)
      if (rand(1, 3) == 1) {
        act("Finish") {
          gt(ModLoc.chores.bathroom2_fail)
        }
      } else {
        "You cleaned bathroom."
        act("Finish") {
          gs(ModLoc.chores.end)
        }
      }
    }
    act("Clean bathroom") {
      mod_chastity_busy = 1
      ext.clearMainWindow()
      ext.image("mod/chastity/villa/bathroom_process.jpg")
      mod_chastity_duties_done[3] = 1
      mod_chastity_temp = rand(30, 60)
      ext.addTime(mod_chastity_temp)
      gs(GLLoc.stat)
      if (rand(1, 9) == 1) {
        act("Finish") {
          gt(ModLoc.chores.bathroom2_fail)
        }
      } else {
        "You cleaned bathroom."
        act("Finish") {
          gs(ModLoc.chores.end)
        }
      }
    }
  }
}

if (`$args`[0] == ModLoc.chores.bathroom2_fail) {
  mod_chastity_villa_failed_tasks += 1
  ext.clearMainWindow()
  ext.image("mod/chastity/villa/bathroom2.jpg")
  cla()
  "You finish cleaning Sirs bathroom. Leaving you see Alexander going into the bathroom."
  "After a minute, he gets out, but looks pissed off."
  "\"${`$pcs_nickname`} are you sure you cleaned this room properly?\" he leads you inside."
  "\"Here's trash in there.\" pointing on trash ban, next he points on the bathtub. \"And bathtub is dirty.\""
  "\"How many times do I need to remind you ${`$pcs_nickname`} that you aren't on vacations here. But now, you know what's comming.\" He grabs you and pulls to the basement."
  act("Follow him") { ext.addTime(1); gt(ModLoc.villa_punishments.punishment) }
  act("Try to break free") {
    cla()
    ext.addTime(1);
    ext.addPain(1, GLBodyPart.armL, GLPainType.twist)
    "You're not able to break free, your arm hurts even more."
    act("Continue") {
      gt(ModLoc.villa_punishments.punishment)
    }
  }
}