@file:Suppress("UNUSED_EXPRESSION", "CascadeIf", "LiftReturnOrAssignment", "ConvertTwoComparisonsToRangeCheck", "RemoveCurlyBracesFromTemplate", "RemoveSingleExpressionStringTemplate")

import com.chopeks.glife.*
import com.chopeks.glife.extensions.*
import com.chopeks.qsp.*
import com.chopeks.qsp.gs
import mod.*
import mod.extensions.*

if (`$args`[0] == ModLoc.villa_punishments.punishment) {
  modExt.defineLocation(ModLoc.villa_punishments, ModLoc.villa_punishments.punishment, GLifeLocationType.private)
  ext.clearMainWindow()
  ext.image("mod/chastity/villa/basement.jpg")
  mod_chastity_busy = 1
  if (mod_chastity_villa_failed_tasks == 1) {
    gs(ModLoc.villa_punishments.punishment1)
  } else if (mod_chastity_villa_failed_tasks <= 2) {
    gs(ModLoc.villa_punishments.punishment2)
  } else {
    gs(ModLoc.villa_punishments.punishment3)
  }
}

// that's for first mistake, something easy for sveta, like bounding
if (`$args`[0] == ModLoc.villa_punishments.punishment1) {
  mod_chastity_temp = rand(1, 2)
  if (mod_chastity_temp == 1) {
    "You're quickly tied up, your head forced into a leather mask, blinding you completely. You're dragged on your knees and forced into the cage."
    ext.image("mod/chastity/villa/punishment/light1.jpg")
    "\"Now you have a moment to think about your life. I'll see you later.\""
    "You're left alone in the cage."
  } else if (mod_chastity_temp == 2) {
    "You're quickly chained up from four sides. Your head locked, unable to move."
    ext.image("mod/chastity/villa/punishment/light2.jpg")
    "\"Now you have a moment to think what you've done. I'll see you later.\""
    "You're left alone in chains."
  }
  act("Wait") {
    mod_chastity_temp = rand(15, 30)
    ext.addArousal(GLArousalAction.BDSM, mod_chastity_temp, GLArousalFetish.bound, GLArousalFetish.maso)
    ext.endArousal()
    gs(GLLoc.stat)
    nl()
    if (rand(1, 2) == 1) {
      "You wait for some time, but no one comes."
    } else {
      "You wait for some time until Alexander comes back. He let's you out of the captivity."
      "\"You still have other stuff to do I guess. Now go back to work.\""
      cla()
      act("Yes, Sir") {
        gt(ModLoc.villa_punishments.end)
      }
    }
  }
}

// that's for second mistake, something mediocore for sveta, like whipping for example?
if (`$args`[0] == ModLoc.villa_punishments.punishment2) {
  mod_chastity_temp = rand(1, 1)
  if (mod_chastity_temp == 1) {
    "Your chastity is unlocked, mouths gaged, hands bound behind your back."
    "\"Get yourself together ${`$pcs_nickname`}, you have to think out of the box. I can't waste time on you every time you make mistake.\""
    "You see him moving wooden box towards you. \"I'm busy right now, but this will do.\""
    act("Continue") {
      cla()
      ext.clearMainWindow()
      ext.video("mod/chastity/villa/punishment/medium1.mp4")
      "Soon you find yourself locked inside that heavy box. You have no idea how much time you will spend in it. It's dark in there..."
      act("Continue") {
        cla()
        ext.addTime(20)
        ext.addPain(4, GLBodyPart.legL, GLPainType.ache)
        ext.addPain(4, GLBodyPart.legR, GLPainType.ache)
        ext.addPain(3, GLBodyPart.tummy, GLPainType.labor)
        gs(GLLoc.stat)
        nl()
        "After long time, you're still here. Your legs sting with pain. Your stomach is sore from the wood."
        act("Continue") {
          cla()
          mod_chastity_temp = rand(10, 30)
          ext.addTime(mod_chastity_temp)
          nl()
          "Finally you hear steps. You're being unlocked."
          "\"Back to work ${`$pcs_nickname`}. There's still work to do.\" You see him leaving."
          "After a while your legs hurt much less. You should go back to work."
          act("Continue") {
            gt(ModLoc.villa_punishments.end)
          }
        }
      }
    }
  }
}

// more mistakes, sveta has really bad luck! harsh treatment!
if (`$args`[0] == ModLoc.villa_punishments.punishment3) {
  mod_chastity_temp = rand(1, 1)
  if (mod_chastity_temp == 1) {
    "Your chastity is unlocked, your hands bound behind your back, your legs tied together."
    "You feel your legs dragged by rope. Soon you're hanging upside down."
    "\"You're completely useless ${`$pcs_nickname`}.\" You see Alexander pulling some wooden bucket below you."
    ext.image("mod/chastity/villa/basement_bucket.jpg")
    "\"Now you will learn to behave.\" Alexander start filling bucket with water."
    "It hits you hard, when you figure out what happens next."
    ext.addTime(10)
    ext.addPain(3, GLBodyPart.legL, GLPainType.bind)
    ext.addPain(3, GLBodyPart.legR, GLPainType.bind)
    gs(GLLoc.stat)
    act("Beg for mercy") {
      ext.clearMainWindow()
      "\"Please, Sir, have some mercy.\" you start sobbing quietly."
      "\"Quiet. You'll never learn otherwise.\" he goes around you heading for rope end."
      "As you're slowly lowered into water, you close your mouth and stop breathing."
      ext.video("mod/chastity/villa/punishment/harsh1.mp4")
      "But after few minutes you're still underwater, you start wriggling vigorously trying to free yourself."
      "You start suffocating."
      ext.addPain(3, GLBodyPart.chest, GLPainType.ache)
      ext.addTime(3)
      gs(GLLoc.stat)
      act("Finish punishment") {
        ext.clearMainWindow()
        ext.video("mod/chastity/villa/punishment/breathing.mp4")
        "Alexander pull you out of the water. You fight for the air breathing heavily."
        "\"I hope you understand what will happen to you if you screw up again.\""
        "He unbinds ropes freeing you from captivity, but you feel completely powerless. He puts your chastity belt again and locks you up."
        "\"Back to work, ${`$pcs_nickname`}\" He goes upstairs leaving you alone. It takes a while before you're able to move."
        ext.addTime(10)
        gs(GLLoc.stat)
        act("Continue") {
          gt(ModLoc.villa_punishments.end)
        }
      }
    }
    act("Scream for help") {
      ext.clearMainWindow()
      ext.addPain(5, GLBodyPart.wrists, GLPainType.bind)
      ext.addPain(5, GLBodyPart.legL, GLPainType.bind)
      ext.addPain(5, GLBodyPart.legR, GLPainType.bind)
      ext.addPain(5, GLBodyPart.chest, GLPainType.ache)
      ext.addTime(3)
      ext.video("mod/chastity/villa/punishment/harsh1.mp4")
      "\"NOOO! SOMEBODY HELP!\" you are totally terrified. You desperately try to free yourself."
      "\"Shut up bitch!\" Alexander pull rope and you quickly submerge. You drink cold water in the process."
      "You're quickly out of breath, and you start suffocating."
      "A few minutes pass, but for you it feels like an hour."
      gs(GLLoc.stat)
      act("You're losing consciousness") {
        ext.clearMainWindow()
        ext.video("mod/chastity/villa/punishment/breathing.mp4")
        ext.addTime(10)
        gs(GLLoc.stat)
        "You're dragged out of the water. You start fighting for air, and it feels like most precious feeling ever."
        "\"I hope you understand what will happen to you if you screw up again.\""
        "He unbinds ropes freeing you from captivity, but you feel completely powerless. He puts your chastity belt again and locks you up."
        "\"Back to work bitch, don't screw up.\" He goes upstairs leaving you alone. It takes a while before you're able to move."
        act("Continue") {
          gt(ModLoc.villa_punishments.end)
        }
      }
    }
  }

}

if (`$args`[0] == ModLoc.villa_punishments.end) {
  mod_chastity_busy = 0
  gt(ModLoc.villa.basement)
}

